summarylogtreecommitdiffstats
path: root/deviceproperties-editor.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deviceproperties-editor.sh')
-rwxr-xr-xdeviceproperties-editor.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/deviceproperties-editor.sh b/deviceproperties-editor.sh
new file mode 100755
index 000000000000..0f6bc25bc0fd
--- /dev/null
+++ b/deviceproperties-editor.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env sh
+
+# Check if we have openjdk17 installed
+for version in $(archlinux-java status); do
+ if [[ $version == "java-17-openjdk" ]]; then
+ export PATH="/usr/lib/jvm/java-17-openjdk/bin/:$PATH"
+ cd /opt/DataExplorer
+ ./DevicePropertiesEditor
+ exit 0
+ fi
+done
+
+echo "You do not have java-17-openjdk installed."
+exit 1